Bug 224833 - net/asterisk13 error in rc script related to the addition of the asterisk_stopsleep knob
Summary: net/asterisk13 error in rc script related to the addition of the asterisk_sto...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-02 02:45 UTC by Robert Ames
Modified: 2018-01-02 16:28 UTC (History)
0 users

See Also:
madpilot: maintainer-feedback+
madpilot: merge-quarterly+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Ames 2018-01-02 02:45:51 UTC
Patch:

--- net/asterisk13/files/asterisk.in.orig       2017-09-28 19:22:39.000000000 -0500
+++ net/asterisk13/files/asterisk.in    2018-01-01 20:41:09.690720000 -0600
@@ -61,7 +61,7 @@
                return 1
        fi
        echo 'Stopping asterisk.'
-       if [ ${asterisk_stopsleep} > 0 ]; then
+       if [ ${asterisk_stopsleep} -gt 0 ]; then
                sleep ${asterisk_stopsleep}
        fi
        $command -nqrx 'core stop now'
Comment 1 commit-hook freebsd_committer 2018-01-02 11:27:56 UTC
A commit references this bug:

Author: madpilot
Date: Tue Jan  2 11:27:22 UTC 2018
New revision: 457847
URL: https://svnweb.freebsd.org/changeset/ports/457847

Log:
  Fix error in conditional in asterisk rc script.

  PR:		224833
  Submitted by:	Robert Ames <robertames@hotmail.com>
  MFH:		2018Q1

Changes:
  head/net/asterisk13/Makefile
  head/net/asterisk13/files/asterisk.in
Comment 2 Guido Falsi freebsd_committer 2018-01-02 11:28:50 UTC
Thanks for reporting. Sorry such a trivial error slipped in.

Committed to the tree and will merge to quarterly branch.
Comment 3 commit-hook freebsd_committer 2018-01-02 16:01:42 UTC
A commit references this bug:

Author: madpilot
Date: Tue Jan  2 16:01:33 UTC 2018
New revision: 457902
URL: https://svnweb.freebsd.org/changeset/ports/457902

Log:
  MFH: r457847

  Fix error in conditional in asterisk rc script.

  PR:		224833
  Submitted by:	Robert Ames <robertames@hotmail.com>

  Approved by:	ports-secteam (zi)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/net/asterisk13/Makefile
  branches/2018Q1/net/asterisk13/files/asterisk.in
Comment 4 Guido Falsi freebsd_committer 2018-01-02 16:28:35 UTC
Merged to quarterly.

Thanks!